2019-03-26 21:15 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002202NetSurf[All Projects] Generalpublic2015-03-10 23:44
ReporterChris Young 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.3 
Target Version3.3Fixed in Version3.3 
Summary0002202: Crash in box_coords
DescriptionWhen attempting to access an edit page on the NetSurf wiki, NetSurf crashed in box_coords().
Steps To ReproduceVisit http://wiki.netsurf-browser.org/?title=Todo/AmigaOS_frontend&action=edit
Additional InformationI think this is a newly-introduced bug as I edited a page fairly recently.

Stack trace:
    [render/box.c:307] box_coords()+0xa8 (section 1 @ 0xBA184)
    [render/box.c:312] box_coords()+0x7c (section 1 @ 0xBA158)
    [desktop/textarea.c:733] textarea_scrollbar_callback()+0xa4 (section 1 @
0xA6464)
    [desktop/scrollbar.c:553] scrollbar_set_extents()+0xc0 (section 1 @
0xA23DC)
    [desktop/textarea.c:1150] textarea_reflow_multiline()+0x4b8 (section 1 @
0xA5F2C)
    [desktop/textarea.c:3203] textarea_set_layout()+0xc0 (section 1 @
0xA9FB4)
    [render/layout.c:674] layout_block_context()+0x5e8 (section 1 @ 0xDFF60)
    [render/layout.c:3396] layout_float()+0x238 (section 1 @ 0xE1E10)
    [render/layout.c:2426] layout_inline_container()+0xf8c (section 1 @
0xDEF78)
    [render/layout.c:484] layout_block_context()+0xd4c (section 1 @ 0xE06C4)
    [render/layout.c:3396] layout_float()+0x238 (section 1 @ 0xE1E10)
    [render/layout.c:2699] layout_inline_container()+0x4f4 (section 1 @
0xDE4E0)
    [render/layout.c:484] layout_block_context()+0xd4c (section 1 @ 0xE06C4)
    [render/layout.c:163] layout_document()+0xc0 (section 1 @ 0xE4D14)
    [render/html.c:1266] html_reformat()+0x3c (section 1 @ 0xC8480)
    [content/content.c:367] content__reformat()+0xa8 (section 1 @ 0x6932C)
    [desktop/browser.c:1254] browser_window_callback()+0xd0 (section 1 @
0x916F0)
    [content/hlcache.c:191] hlcache_content_callback()+0x48 (section 1 @
0x74EB4)
    [content/content.c:704] content_broadcast()+0x84 (section 1 @ 0x69060)
    [content/content.c:312] content_set_ready()+0x78 (section 1 @ 0x69540)
    [render/html.c:137] html_box_convert_done()+0x244 (section 1 @ 0xC8CE4)
    [render/box_construct.c:437] convert_xml_to_box()+0xfb4 (section 1 @
0xBE8A4)
    [amiga/schedule.c:233] schedule_run()+0x7c (section 1 @ 0x32830)
    [amiga/gui.c:2494] ami_get_msg()+0x29c (section 1 @ 0x1C6B4)
    [desktop/netsurf.c:260] netsurf_main_loop()+0x48 (section 1 @ 0x9D918)
    [amiga/gui.c:5227] main()+0x618 (section 1 @ 0x1D488)
    native kernel module newlib.library.kmod+0x000020ac
    native kernel module newlib.library.kmod+0x00002d14
    native kernel module newlib.library.kmod+0x00002ef0
    _start()+0x170 (section 1 @ 0x16C)
    native kernel module dos.library.kmod+0x00024bb0
    native kernel module kernel+0x0003b4b0
    native kernel module kernel+0x0003b530
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #2118
URL of problem pagehttp://wiki.netsurf-browser.org/?title=Todo/AmigaOS_frontend&action=edit
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000499

Vincent Sanders (administrator)

you need to be logged in, but if you are this is totally reproducable
Vincent Sanders

~0000762

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2014-09-21 14:56 Chris Young New Issue
2014-09-21 15:01 Chris Young Reproducibility have not tried => always
2014-09-23 09:18 Vincent Sanders Note Added: 0000499
2014-09-23 09:18 Vincent Sanders Status new => confirmed
2014-09-23 09:18 Vincent Sanders Category Layout => General
2014-09-23 09:18 Vincent Sanders Description Updated View Revisions
2014-09-23 09:18 Vincent Sanders Additional Information Updated View Revisions
2014-09-27 09:05 Michael Drake Assigned To => Michael Drake
2014-09-27 09:05 Michael Drake Status confirmed => resolved
2014-09-27 09:05 Michael Drake Resolution open => fixed
2014-09-27 09:05 Michael Drake Fixed in Version => 3.3
2014-09-27 09:05 Michael Drake Target Version => 3.3
2015-03-10 23:44 Vincent Sanders Note Added: 0000762
2015-03-10 23:44 Vincent Sanders Status resolved => closed
+Issue History